%global realname rosinstall
%global gitrev 6d482b2
Name:           python-rosinstall
Version:        0.6.26
Release:        1.20130318git%{gitrev}%{?dist}
Summary:        ROS installation utilities

License:        BSD
URL:            http://www.ros.org/wiki/rosinstall
BuildArch:      noarch
#wget --content-disposition https://github.com/vcstools/rosinstall/tarball/0.6.26
Source0:        vcstools-%{realname}-%{version}-0-g%{gitrev}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx
Requires:       python-vcstools

%description
rosinstall is a tool to check out ROS source code (or any source code, really)
from multiple version control repositories and updating these checkouts. Given 
a *.rosinstall file that specifies where to get code, rosinstall will check 
out a working copy for you. 


%prep
%setup -q -n vcstools-%{realname}-%{gitrev}


%build
%{__python} setup.py build
pushd doc
make html
make man
popd

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/_build/man/%{realname}.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/_build/html/.buildinfo

%files
%doc doc/_build/html LICENSE README.rst
%{_bindir}/*
%{python_sitelib}/%{realname}
%{python_sitelib}/%{realname}-%{version}-py?.?.egg-info
%{_mandir}/man1/%{realname}.1.gz

%changelog
* Mon Mar 18 2013 Rich Mattes <richmattes@gmail.com> - 0.6.28-1.20130318git6d482b2
- Update to release 0.6.28

* Fri Oct 26 2012 Rich Mattes <richmattes@gmail.com> - 0.6.20-1
- Update to release 0.6.20

* Mon Oct 08 2012 Rich Mattes <richmattes@gmail.com> - 0.6.19-2
- Separated build and install steps for setup.py
- Added README and LICENSE

* Sun Sep 02 2012 Rich Mattes <richmattes@gmail.com> - 0.6.19-1
- Update to release 0.6.19

* Wed Jun 06 2012 Rich Mattes <richmattes@gmail.com> - 0.6.17-1
- Update to release 0.6.17

* Wed Apr 25 2012 Rich Mattes <richmattes@gmail.com> - 0.6.15-1
- Initial package
